Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionToolButton.ToolButtonFeature

    java.lang.Object
      java.lang.Enum<QStyleOptionToolButton.ToolButtonFeature>
          com.trolltech.qt.gui.QStyleOptionToolButton.ToolButtonFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionToolButton.ToolButtonFeature>

Enclosing class:
  QStyleOptionToolButton

    public static enum QStyleOptionToolButton.ToolButtonFeature

extends java.lang.Enum<QStyleOptionToolButton.ToolButtonFeature>
implements QtEnumerator

Describes the various features that a tool button can have.

See Also:
  features, `QToolButton::toolButtonStyle`, `QToolButton::popupMode`

Enum Constant Summary
`Arrow` The tool button is an arrow.
`HasMenu` The button has a popup menu.
`Menu` The tool button has a menu.
`None` A normal tool button.
`PopupDelay` There is a delay to showing the menu.

Method Summary
`static QStyleOptionToolButton.ToolButtonFeatures` | `createQFlags(QStyleOptionToolButton.ToolButtonFeature... values)`
`static QStyleOptionToolButton.ToolButtonFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolButton.ToolButtonFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionToolButton.ToolButtonFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QStyleOptionToolButton.ToolButtonFeature None

  A normal tool button.

### Arrow

    public static final QStyleOptionToolButton.ToolButtonFeature Arrow

  The tool button is an arrow.

### Menu

    public static final QStyleOptionToolButton.ToolButtonFeature Menu

  The tool button has a menu.

### PopupDelay

    public static final QStyleOptionToolButton.ToolButtonFeature PopupDelay

  There is a delay to showing the menu.

### HasMenu

    public static final QStyleOptionToolButton.ToolButtonFeature HasMenu

  The button has a popup menu.

Method Detail

### values

    public static final QStyleOptionToolButton.ToolButtonFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionToolButton.ToolButtonFeature c : QStyleOptionToolButton.ToolButtonFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionToolButton.ToolButtonFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionToolButton.ToolButtonFeatures createQFlags(QStyleOptionToolButton.ToolButtonFeature... values)

### resolve

    public static QStyleOptionToolButton.ToolButtonFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD